bug-gnulib
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: avoid failing coreutils tests on cygwin


From: Eric Blake
Subject: [PATCH] tests: avoid failing coreutils tests on cygwin
Date: Thu, 30 Dec 2010 14:24:24 -0700

* tests/init.sh (find_exe_basenames_): Exempt [.exe.
(create_exe_shims_): Return 0 when skipping.
---

This lets me get to the point where the few remaining test failures
of coreutils testsuite on cygwin are worth investigating individually,
rather than failing almost everything up front.  If you like it, I'll
push to gnulib first and then synchronize coreutils to the latest.

 tests/init.sh |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/tests/init.sh b/tests/init.sh
index 22ba236..e537b6c 100644
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -245,6 +245,9 @@ find_exe_basenames_()
     # below, just skip it.
     test "x$feb_file_" = "x$feb_dir_/*.exe" && test ! -f "$feb_file_" \
       && continue
+    # Exempt [.exe, since we can't create a function by that name, yet
+    # we can't invoke [ by PATH search anyways due to shell builtins.
+    test "x$feb_file_" = "x$feb_dir_/[.exe" && continue
     case $feb_file_ in
       *[!-a-zA-Z/0-9_.+]*) feb_fail_=1; break;;
       *) # Remove leading file name components as well as the .exe suffix.
@@ -272,7 +275,7 @@ create_exe_shims_()
   esac

   base_names_=`find_exe_basenames_ $1` \
-    || { echo "$0 (exe_shim): skipping directory: $1" 1>&2; return 1; }
+    || { echo "$0 (exe_shim): skipping directory: $1" 1>&2; return 0; }

   if test -n "$base_names_"; then
     for base_ in $base_names_; do
-- 
1.7.3.4




reply via email to

[Prev in Thread] Current Thread [Next in Thread]